Subject: bug#46061: 28.0.50; error "‘'postgres’ is not a known product

From: Jean Louis <[email-masked]>
Date: Thu, 8 Apr 2021 16:22:08 +0300

* Rudolf Schlatte <[email-masked]> [2021-03-16 11:54]:
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Jean Louis <[email-masked]> writes:
> >
> >>> What's the value of the `sql-connection-alist' variable in the SQL buffer?
> >>
> >> (("local" (sql-product 'postgres) (sql-user "username") (sql-password
> >> "password") (sql-database "mydatabase")))
> >>
> >> This problem does not appear always and I cannot reproduce it.
> 
> Just a wild guess, but is there a misplaced quote in `(sql-product
> 'postgres)', i.e., should it be `(sql-product postgres)' instead?
> 
> (Please feel free to ignore this mail if that's not the case.)

I am on development version. This does not happen always.

I do:

- M-x sql-postgres and enter

- then at the exact moment when I click SQL menu, I get this error:

Debugger entered--Lisp error: (error "‘'postgres’ is not a known product; use ‘sql-add-product’ to add it first.")
  signal(error ("‘'postgres’ is not a known product; use ‘sql-add-product’ to add it first."))
  error("`%s' is not a known product; use `sql-add-product' to add it first." 'postgres)
  sql-get-product-feature('postgres :sqli-login)
  sql-make-alternate-buffer-name()
  #f(compiled-function () #<bytecode 0x1e00184608d5>)()
  funcall(#f(compiled-function () #<bytecode 0x1e00184608d5>))
  (let ((sql-product ''postgres) (sql-user '"username") (sql-password '"password") (sql-database '"rcdbusiness")) (funcall '#f(compiled-function () #<bytecode 0x1e00184608d5>)))
  eval((let ((sql-product ''postgres) (sql-user '"username") (sql-password '"password") (sql-database '"rcdbusiness")) (funcall '#f(compiled-function () #<bytecode 0x1e00184608d5>))))
  #f(compiled-function (conn) #<bytecode -0x99cf3617ae0f94f>)(("local" (sql-product 'postgres) (sql-user "username") (sql-password "password") (sql-database "rcdbusiness")))
  mapcar(#f(compiled-function (conn) #<bytecode -0x99cf3617ae0f94f>) (("local" (sql-product 'postgres) (sql-user "username") (sql-password "password") (sql-database "rcdbusiness"))))
  sql-connection-menu-filter(("--" ["New SQLi Session" sql-product-interactive (sql-get-product-feature sql-product :sqli-comint-func)]))
  #f(compiled-function (menu) #<bytecode 0x10470486be0d08fa>)(("--" ["New SQLi Session" sql-product-interactive (sql-get-product-feature sql-product :sqli-comint-func)]))